## ros-kinetic-rocon-app-utilities 0.9.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/rocon_app_utilities.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/rocon_app_utilities.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/rocon_app_utilities"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/rocon_app_utilities"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
ros-kinetic-rocon-app-utilities (0.9.1-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 16 Oct 2016 03:11:40 -0000

ros-kinetic-rocon-app-utilities (0.7.13-0xenial) xenial; urgency=high

  * Merge pull request #292 <https://github.com/robotics-in-concert/rocon_app_platform/issues/292> from robotics-in-concert/gopher
    Delivery ancestor rapp and some bugfixes
  * [rocon_app_manager] trivial
  * [rocon_app_utilities] syntax highlighting for rocon_app cmd output.
  * [rocon_app_utilites] pep8 for rapp_cmd.py
  * [rocon_app_utilities] bugfix undefined variable call to ancestor_name.
    Must be in scope before the exception branching is executed.
  * [rocon_app_utilities] pep8 fixes.
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-kinetic-rocon-app-utilities (0.7.12-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 26 May 2015 15:00:00 -0000

ros-kinetic-rocon-app-utilities (0.7.11-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 05 May 2015 15:00:00 -0000

ros-kinetic-rocon-app-utilities (0.7.10-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 03 May 2015 15:00:00 -0000

ros-kinetic-rocon-app-utilities (0.7.9-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 27 Apr 2015 15:00:00 -0000

ros-kinetic-rocon-app-utilities (0.7.8-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-kinetic-rocon-app-utilities (0.7.7-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-kinetic-rocon-app-utilities (0.7.6-0xenial) xenial; urgency=high

  * remove custom platform checker and use rospkg.os_detect in dependency checker closes #269 <https://github.com/robotics-in-concert/rocon_app_platform/issues/269>
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 11 Jan 2015 15:00:00 -0000

ros-kinetic-rocon-app-utilities (0.7.5-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 07 Jan 2015 15:00:00 -0000

ros-kinetic-rocon-app-utilities (0.7.4-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 29 Dec 2014 15:00:00 -0000

ros-kinetic-rocon-app-utilities (0.7.3-0xenial) xenial; urgency=high

  * rename sim to simulation
  * sim parameter passing
  * [rocon_app_manager] bugfix stray hub whitelist param, lower casing base topic names, catching the right exception
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-kinetic-rocon-app-utilities (0.7.2-0xenial) xenial; urgency=high

  * it updates its indices when it adds or removes repo
  * bugfix for #260 <https://github.com/robotics-in-concert/rocon_app_platform/issues/260> #253 <https://github.com/robotics-in-concert/rocon_app_platform/issues/253>
  * now indexer works fine. rapp stores resources path in yaml_data
  * now it uses normalised path and provides more debug messages
  * add optional arguments on rocon_app cmd tool closes issue #259 <https://github.com/robotics-in-concert/rocon_app_platform/issues/259>
  * improve top-level arg parser logic. Now it does not validate the full launch xml though.
  * update comments. absolute to relative
  * remove debug message
  * It marks invalid rapp if it contains tuple based resource. and give error
  * update rapp spec document
  * relative path working
  * in the middle of change to relative path
  * add simple indicator
  * multiple chirp working
  * parses parameters from file
  * 0.7.1
  * Merge branch 'indigo' into hydro-devel
  * rocon_app_utilities: error: unconfigured build_depend on 'rocon_python_utils rocon_uri
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-kinetic-rocon-app-utilities (0.7.0-0xenial) xenial; urgency=high

  * command line suite for rapp indexing, caching, dependency installing.
  * remote repository index caching.
  * local ros package path rapp indexer.
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 05 May 2014 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rocon-app-utilities
Section: misc
Priority: extra
Maintainer: Jihoon Lee <jihoonlee.in@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-catkin-pkg, ros-kinetic-catkin, ros-kinetic-roslint
Homepage: http://wiki.ros.org/rocon_app_utilities
Standards-Version: 3.9.2

Package: ros-kinetic-rocon-app-utilities
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, ros-kinetic-rocon-console, ros-kinetic-rocon-python-utils, ros-kinetic-rocon-uri, ros-kinetic-roslaunch
Description: The rocon_app_utilities package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rocon-app-utilities//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
